const LAYOUT = () => import("@/layout/app/index.vue");

export const systemRoutes = [
  {
    path: "/",
    name: "main",
    redirect: "login",
    component: LAYOUT,
    children: [
      {
        path: "im",
        name: "im",
        meta: { title: "router.Social", keepAlive: false, navbar: true }, // 社交
        component: () => import("@/views/home/index.vue"),
      },
      {
        path: "transaction",
        name: "transaction",
        meta: { title: "router.Transaction", keepAlive: false, navbar: true }, // 交易
        component: () => import("@/views/transaction/index.vue"),
      },
      {
        path: "wallet",
        name: "wallet",
        meta: { title: "router.Wallet", keepAlive: false, navbar: true }, // 钱包
        component: () => import("@/views/wallet/index.vue"),
      },
      {
        path: "dapp",
        name: "dapp",
        meta: { title: "router.Dapp", keepAlive: false, navbar: false }, // DAPP
        component: () => import("@/views/dapp/index.vue"),
      },
      {
        path: "me",
        name: "me",
        meta: { title: "router.Me", keepAlive: false, navbar: false }, // 我的
        component: () => import("@/views/me/index.vue"),
      },
      {
        path: "personalInformation",
        name: "personalInformation",
        meta: { title: "router.Me", keepAlive: false, navbar: true, leftArrow: true }, // 个人资料
        component: () => import("@/views/me/personalInformation/index.vue"),
      },
    ],
  },
];
